Index: trunk/src/grails-app/views/modificationType/create.gsp
===================================================================
--- trunk/src/grails-app/views/modificationType/create.gsp	(revision 22)
+++ trunk/src/grails-app/views/modificationType/create.gsp	(revision 25)
@@ -29,13 +29,4 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="name">Name:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:modificationTypeInstance,field:'name','errors')}">
-                                    <input type="text" id="name" name="name" value="${fieldValue(bean:modificationTypeInstance,field:'name')}"/>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
                                     <label for="description">Description:</label>
                                 </td>
@@ -54,4 +45,13 @@
                             </tr> 
                         
+                            <tr class="prop">
+                                <td valign="top" class="name">
+                                    <label for="name">Name:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:modificationTypeInstance,field:'name','errors')}">
+                                    <input type="text" id="name" name="name" value="${fieldValue(bean:modificationTypeInstance,field:'name')}"/>
+                                </td>
+                            </tr> 
+                        
                         </tbody>
                     </table>
Index: trunk/src/grails-app/views/modificationType/edit.gsp
===================================================================
--- trunk/src/grails-app/views/modificationType/edit.gsp	(revision 22)
+++ trunk/src/grails-app/views/modificationType/edit.gsp	(revision 25)
@@ -28,13 +28,4 @@
                     <table>
                         <tbody>
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="name">Name:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:modificationTypeInstance,field:'name','errors')}">
-                                    <input type="text" id="name" name="name" value="${fieldValue(bean:modificationTypeInstance,field:'name')}"/>
-                                </td>
-                            </tr> 
                         
                             <tr class="prop">
@@ -72,4 +63,13 @@
                             </tr> 
                         
+                            <tr class="prop">
+                                <td valign="top" class="name">
+                                    <label for="name">Name:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:modificationTypeInstance,field:'name','errors')}">
+                                    <input type="text" id="name" name="name" value="${fieldValue(bean:modificationTypeInstance,field:'name')}"/>
+                                </td>
+                            </tr> 
+                        
                         </tbody>
                     </table>
Index: trunk/src/grails-app/views/modificationType/list.gsp
===================================================================
--- trunk/src/grails-app/views/modificationType/list.gsp	(revision 22)
+++ trunk/src/grails-app/views/modificationType/list.gsp	(revision 25)
@@ -24,9 +24,9 @@
                    	        <g:sortableColumn property="id" title="Id" />
                         
-                   	        <g:sortableColumn property="name" title="Name" />
-                        
                    	        <g:sortableColumn property="description" title="Description" />
                         
                    	        <g:sortableColumn property="isActive" title="Is Active" />
+                        
+                   	        <g:sortableColumn property="name" title="Name" />
                         
                         </tr>
@@ -38,9 +38,9 @@
                             <td><g:link action="show" id="${modificationTypeInstance.id}">${fieldValue(bean:modificationTypeInstance, field:'id')}</g:link></td>
                         
-                            <td>${fieldValue(bean:modificationTypeInstance, field:'name')}</td>
-                        
                             <td>${fieldValue(bean:modificationTypeInstance, field:'description')}</td>
                         
                             <td>${fieldValue(bean:modificationTypeInstance, field:'isActive')}</td>
+                        
+                            <td>${fieldValue(bean:modificationTypeInstance, field:'name')}</td>
                         
                         </tr>
Index: trunk/src/grails-app/views/modificationType/show.gsp
===================================================================
--- trunk/src/grails-app/views/modificationType/show.gsp	(revision 22)
+++ trunk/src/grails-app/views/modificationType/show.gsp	(revision 25)
@@ -31,11 +31,4 @@
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Name:</td>
-                            
-                            <td valign="top" class="value">${fieldValue(bean:modificationTypeInstance, field:'name')}</td>
-                            
-                        </tr>
-                    
-                        <tr class="prop">
                             <td valign="top" class="name">Description:</td>
                             
@@ -64,4 +57,11 @@
                         </tr>
                     
+                        <tr class="prop">
+                            <td valign="top" class="name">Name:</td>
+                            
+                            <td valign="top" class="value">${fieldValue(bean:modificationTypeInstance, field:'name')}</td>
+                            
+                        </tr>
+                    
                     </tbody>
                 </table>