Index: trunk/src/grails-app/views/taskModificationType/edit.gsp
===================================================================
--- trunk/src/grails-app/views/modificationType/edit.gsp	(revision 89)
+++ trunk/src/grails-app/views/taskModificationType/edit.gsp	(revision 93)
@@ -5,24 +5,25 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
         <meta name="layout" content="main" />
-        <title>Edit ModificationType</title>
+        <title>Edit TaskModificationType</title>
     </head>
     <body>
         <div class="nav">
             <span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
-            <span class="menuButton"><g:link class="list" action="list">ModificationType List</g:link></span>
-            <span class="menuButton"><g:link class="create" action="create">New ModificationType</g:link></span>
+            <span class="menuButton"><g:link class="list" action="list">TaskModificationType List</g:link></span>
+            <span class="menuButton"><g:link class="create" action="create">New TaskModificationType</g:link></span>
         </div>
         <div class="body">
-            <h1>Edit ModificationType</h1>
+            <h1>Edit TaskModificationType</h1>
             <g:if test="${flash.message}">
             <div class="message">${flash.message}</div>
             </g:if>
-            <g:hasErrors bean="${modificationTypeInstance}">
+            <g:hasErrors bean="${taskModificationTypeInstance}">
             <div class="errors">
-                <g:renderErrors bean="${modificationTypeInstance}" as="list" />
+                <g:renderErrors bean="${taskModificationTypeInstance}" as="list" />
             </div>
             </g:hasErrors>
             <g:form method="post" >
-                <input type="hidden" name="id" value="${modificationTypeInstance?.id}" />
+                <input type="hidden" name="id" value="${taskModificationTypeInstance?.id}" />
+                <input type="hidden" name="version" value="${taskModificationTypeInstance?.version}" />
                 <div class="dialog">
                     <table>
@@ -33,6 +34,6 @@
                                     <label for="description">Description:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:modificationTypeInstance,field:'description','errors')}">
-                                    <input type="text" id="description" name="description" value="${fieldValue(bean:modificationTypeInstance,field:'description')}"/>
+                                <td valign="top" class="value ${hasErrors(bean:taskModificationTypeInstance,field:'description','errors')}">
+                                    <input type="text" id="description" name="description" value="${fieldValue(bean:taskModificationTypeInstance,field:'description')}"/>
                                 </td>
                             </tr> 
@@ -42,22 +43,6 @@
                                     <label for="isActive">Is Active:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:modificationTypeInstance,field:'isActive','errors')}">
-                                    <g:checkBox name="isActive" value="${modificationTypeInstance?.isActive}" ></g:checkBox>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="modifications">Modifications:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:modificationTypeInstance,field:'modifications','errors')}">
-                                    
-<ul>
-<g:each var="m" in="${modificationTypeInstance?.modifications?}">
-    <li><g:link controller="modification" action="show" id="${m.id}">${m?.encodeAsHTML()}</g:link></li>
-</g:each>
-</ul>
-<g:link controller="modification" params="['modificationType.id':modificationTypeInstance?.id]" action="create">Add Modification</g:link>
-
+                                <td valign="top" class="value ${hasErrors(bean:taskModificationTypeInstance,field:'isActive','errors')}">
+                                    <g:checkBox name="isActive" value="${taskModificationTypeInstance?.isActive}" ></g:checkBox>
                                 </td>
                             </tr> 
@@ -67,6 +52,22 @@
                                     <label for="name">Name:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:modificationTypeInstance,field:'name','errors')}">
-                                    <input type="text" id="name" name="name" value="${fieldValue(bean:modificationTypeInstance,field:'name')}"/>
+                                <td valign="top" class="value ${hasErrors(bean:taskModificationTypeInstance,field:'name','errors')}">
+                                    <input type="text" id="name" name="name" value="${fieldValue(bean:taskModificationTypeInstance,field:'name')}"/>
+                                </td>
+                            </tr> 
+                        
+                            <tr class="prop">
+                                <td valign="top" class="name">
+                                    <label for="taskModifications">Task Modifications:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:taskModificationTypeInstance,field:'taskModifications','errors')}">
+                                    
+<ul>
+<g:each var="t" in="${taskModificationTypeInstance?.taskModifications?}">
+    <li><g:link controller="taskModification" action="show" id="${t.id}">${t?.encodeAsHTML()}</g:link></li>
+</g:each>
+</ul>
+<g:link controller="taskModification" params="['taskModificationType.id':taskModificationTypeInstance?.id]" action="create">Add TaskModification</g:link>
+
                                 </td>
                             </tr> 