Index: trunk/grails-app/views/lifePlan/edit.gsp
===================================================================
--- trunk/grails-app/views/lifePlan/edit.gsp	(revision 118)
+++ trunk/grails-app/views/lifePlan/edit.gsp	(revision 122)
@@ -32,67 +32,4 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="asset">Asset:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:lifePlanInstance,field:'asset','errors')}">
-                                    <g:select optionKey="id" from="${Asset.list()}" name="asset.id" value="${lifePlanInstance?.asset?.id}" noSelection="['null':'']"></g:select>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="form">Form:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:lifePlanInstance,field:'form','errors')}">
-                                    <g:select optionKey="id" from="${Form.list()}" name="form.id" value="${lifePlanInstance?.form?.id}" noSelection="['null':'']"></g:select>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="frequency">Frequency:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:lifePlanInstance,field:'frequency','errors')}">
-                                    <g:select optionKey="id" from="${Frequency.list()}" name="frequency.id" value="${lifePlanInstance?.frequency?.id}" noSelection="['null':'']"></g:select>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="assetType">Asset Type:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:lifePlanInstance,field:'assetType','errors')}">
-                                    <g:select optionKey="id" from="${AssetType.list()}" name="assetType.id" value="${lifePlanInstance?.assetType?.id}" noSelection="['null':'']"></g:select>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="assembly">Assembly:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:lifePlanInstance,field:'assembly','errors')}">
-                                    <g:select optionKey="id" from="${Assembly.list()}" name="assembly.id" value="${lifePlanInstance?.assembly?.id}" noSelection="['null':'']"></g:select>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="subAssembly">Sub Assembly:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:lifePlanInstance,field:'subAssembly','errors')}">
-                                    <g:select optionKey="id" from="${SubAssembly.list()}" name="subAssembly.id" value="${lifePlanInstance?.subAssembly?.id}" noSelection="['null':'']"></g:select>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="componentItem">Component Item:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:lifePlanInstance,field:'componentItem','errors')}">
-                                    <g:select optionKey="id" from="${ComponentItem.list()}" name="componentItem.id" value="${lifePlanInstance?.componentItem?.id}" noSelection="['null':'']"></g:select>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
                                     <label for="description">Description:</label>
                                 </td>
@@ -113,53 +50,8 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="maintenanceAction">Maintenance Action:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:lifePlanInstance,field:'maintenanceAction','errors')}">
-                                    <input type="text" id="maintenanceAction" name="maintenanceAction" value="${fieldValue(bean:lifePlanInstance,field:'maintenanceAction')}"/>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
                                     <label for="name">Name:</label>
                                 </td>
                                 <td valign="top" class="value ${hasErrors(bean:lifePlanInstance,field:'name','errors')}">
                                     <input type="text" id="name" name="name" value="${fieldValue(bean:lifePlanInstance,field:'name')}"/>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="notes">Notes:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:lifePlanInstance,field:'notes','errors')}">
-                                    <input type="text" id="notes" name="notes" value="${fieldValue(bean:lifePlanInstance,field:'notes')}"/>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="resourceNumber">Resource Number:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:lifePlanInstance,field:'resourceNumber','errors')}">
-                                    <input type="text" id="resourceNumber" name="resourceNumber" value="${fieldValue(bean:lifePlanInstance,field:'resourceNumber')}"/>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="systemSections">System Sections:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:lifePlanInstance,field:'systemSections','errors')}">
-                                    
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="timeInHours">Time In Hours:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:lifePlanInstance,field:'timeInHours','errors')}">
-                                    <input type="text" id="timeInHours" name="timeInHours" value="${fieldValue(bean:lifePlanInstance,field:'timeInHours')}" />
                                 </td>
                             </tr> 