Index: trunk/grails-app/views/inventoryMovementType/create.gsp
===================================================================
--- trunk/grails-app/views/inventoryMovementType/create.gsp	(revision 151)
+++ trunk/grails-app/views/inventoryMovementType/create.gsp	(revision 177)
@@ -5,9 +5,8 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
         <meta name="layout" content="main" />
-        <title>Create InventoryMovementType</title>         
+        <title>Create InventoryMovementType</title>
     </head>
     <body>
         <div class="nav">
-            <span class="menuButton"><a class="home" href="${resource(dir:'')}">Home</a></span>
             <span class="menuButton"><g:link class="list" action="list">InventoryMovementType List</g:link></span>
         </div>
@@ -33,4 +32,13 @@
                                 <td valign="top" class="value ${hasErrors(bean:inventoryMovementTypeInstance,field:'description','errors')}">
                                     <input type="text" id="description" name="description" value="${fieldValue(bean:inventoryMovementTypeInstance,field:'description')}"/>
+                                </td>
+                            </tr> 
+                        
+                            <tr class="prop">
+                                <td valign="top" class="name">
+                                    <label for="incrementsInventory">Increments Inventory:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:inventoryMovementTypeInstance,field:'incrementsInventory','errors')}">
+                                    <g:checkBox name="incrementsInventory" value="${inventoryMovementTypeInstance?.incrementsInventory}" ></g:checkBox>
                                 </td>
                             </tr> 
Index: trunk/grails-app/views/inventoryMovementType/edit.gsp
===================================================================
--- trunk/grails-app/views/inventoryMovementType/edit.gsp	(revision 151)
+++ trunk/grails-app/views/inventoryMovementType/edit.gsp	(revision 177)
@@ -9,5 +9,4 @@
     <body>
         <div class="nav">
-            <span class="menuButton"><a class="home" href="${resource(dir:'')}">Home</a></span>
             <span class="menuButton"><g:link class="list" action="list">InventoryMovementType List</g:link></span>
             <span class="menuButton"><g:link class="create" action="create">New InventoryMovementType</g:link></span>
@@ -36,4 +35,13 @@
                                 <td valign="top" class="value ${hasErrors(bean:inventoryMovementTypeInstance,field:'description','errors')}">
                                     <input type="text" id="description" name="description" value="${fieldValue(bean:inventoryMovementTypeInstance,field:'description')}"/>
+                                </td>
+                            </tr> 
+                        
+                            <tr class="prop">
+                                <td valign="top" class="name">
+                                    <label for="incrementsInventory">Increments Inventory:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:inventoryMovementTypeInstance,field:'incrementsInventory','errors')}">
+                                    <g:checkBox name="incrementsInventory" value="${inventoryMovementTypeInstance?.incrementsInventory}" ></g:checkBox>
                                 </td>
                             </tr> 
Index: trunk/grails-app/views/inventoryMovementType/list.gsp
===================================================================
--- trunk/grails-app/views/inventoryMovementType/list.gsp	(revision 151)
+++ trunk/grails-app/views/inventoryMovementType/list.gsp	(revision 177)
@@ -9,5 +9,4 @@
     <body>
         <div class="nav">
-            <span class="menuButton"><a class="home" href="${resource(dir:'')}">Home</a></span>
             <span class="menuButton"><g:link class="create" action="create">New InventoryMovementType</g:link></span>
         </div>
@@ -26,4 +25,6 @@
                    	        <g:sortableColumn property="description" title="Description" />
                         
+                   	        <g:sortableColumn property="incrementsInventory" title="Increments Inventory" />
+                        
                    	        <g:sortableColumn property="isActive" title="Is Active" />
                         
@@ -39,4 +40,6 @@
                         
                             <td>${fieldValue(bean:inventoryMovementTypeInstance, field:'description')}</td>
+                        
+                            <td>${fieldValue(bean:inventoryMovementTypeInstance, field:'incrementsInventory')}</td>
                         
                             <td>${fieldValue(bean:inventoryMovementTypeInstance, field:'isActive')}</td>
Index: trunk/grails-app/views/inventoryMovementType/show.gsp
===================================================================
--- trunk/grails-app/views/inventoryMovementType/show.gsp	(revision 151)
+++ trunk/grails-app/views/inventoryMovementType/show.gsp	(revision 177)
@@ -9,5 +9,4 @@
     <body>
         <div class="nav">
-            <span class="menuButton"><a class="home" href="${resource(dir:'')}">Home</a></span>
             <span class="menuButton"><g:link class="list" action="list">InventoryMovementType List</g:link></span>
             <span class="menuButton"><g:link class="create" action="create">New InventoryMovementType</g:link></span>
@@ -34,4 +33,11 @@
                             
                             <td valign="top" class="value">${fieldValue(bean:inventoryMovementTypeInstance, field:'description')}</td>
+                            
+                        </tr>
+                    
+                        <tr class="prop">
+                            <td valign="top" class="name">Increments Inventory:</td>
+                            
+                            <td valign="top" class="value">${fieldValue(bean:inventoryMovementTypeInstance, field:'incrementsInventory')}</td>
                             
                         </tr>