Index: trunk/grails-app/views/extendedAttributeType/edit.gsp
===================================================================
--- trunk/grails-app/views/extendedAttributeType/edit.gsp	(revision 267)
+++ trunk/grails-app/views/extendedAttributeType/edit.gsp	(revision 268)
@@ -5,24 +5,24 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
         <meta name="layout" content="main" />
-        <title>Edit AssetExtendedAttributeType</title>
+        <title>Edit ExtendedAttributeType</title>
     </head>
     <body>
         <div class="nav">
-            <span class="menuButton"><g:link class="list" action="list">AssetExtendedAttributeType List</g:link></span>
-            <span class="menuButton"><g:link class="create" action="create">New AssetExtendedAttributeType</g:link></span>
+            <span class="menuButton"><g:link class="list" action="list">ExtendedAttributeType List</g:link></span>
+            <span class="menuButton"><g:link class="create" action="create">New ExtendedAttributeType</g:link></span>
         </div>
         <div class="body">
-            <h1>Edit AssetExtendedAttributeType</h1>
+            <h1>Edit ExtendedAttributeType</h1>
             <g:if test="${flash.message}">
             <div class="message">${flash.message}</div>
             </g:if>
-            <g:hasErrors bean="${assetExtendedAttributeTypeInstance}">
+            <g:hasErrors bean="${extendedAttributeTypeInstance}">
             <div class="errors">
-                <g:renderErrors bean="${assetExtendedAttributeTypeInstance}" as="list" />
+                <g:renderErrors bean="${extendedAttributeTypeInstance}" as="list" />
             </div>
             </g:hasErrors>
             <g:form method="post" >
-                <input type="hidden" name="id" value="${assetExtendedAttributeTypeInstance?.id}" />
-                <input type="hidden" name="version" value="${assetExtendedAttributeTypeInstance?.version}" />
+                <input type="hidden" name="id" value="${extendedAttributeTypeInstance?.id}" />
+                <input type="hidden" name="version" value="${extendedAttributeTypeInstance?.version}" />
                 <div class="dialog">
                     <table>
@@ -31,15 +31,8 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="assetExtendedAttributes">Asset Extended Attributes:</label>
+                                    <label for="name">Name:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetExtendedAttributeTypeInstance,field:'assetExtendedAttributes','errors')}">
-                                    
-<ul>
-<g:each var="a" in="${assetExtendedAttributeTypeInstance?.assetExtendedAttributes?}">
-    <li><g:link controller="assetExtendedAttribute" action="show" id="${a.id}">${a?.encodeAsHTML()}</g:link></li>
-</g:each>
-</ul>
-<g:link controller="assetExtendedAttribute" params="['assetExtendedAttributeType.id':assetExtendedAttributeTypeInstance?.id]" action="create">Add AssetExtendedAttribute</g:link>
-
+                                <td valign="top" class="value ${hasErrors(bean:extendedAttributeTypeInstance,field:'name','errors')}">
+                                    <input type="text" maxlength="50" id="name" name="name" value="${fieldValue(bean:extendedAttributeTypeInstance,field:'name')}"/>
                                 </td>
                             </tr> 
@@ -49,6 +42,6 @@
                                     <label for="description">Description:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetExtendedAttributeTypeInstance,field:'description','errors')}">
-                                    <input type="text" id="description" name="description" value="${fieldValue(bean:assetExtendedAttributeTypeInstance,field:'description')}"/>
+                                <td valign="top" class="value ${hasErrors(bean:extendedAttributeTypeInstance,field:'description','errors')}">
+                                    <input type="text" maxlength="100" id="description" name="description" value="${fieldValue(bean:extendedAttributeTypeInstance,field:'description')}"/>
                                 </td>
                             </tr> 
@@ -58,15 +51,6 @@
                                     <label for="isActive">Is Active:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetExtendedAttributeTypeInstance,field:'isActive','errors')}">
-                                    <g:checkBox name="isActive" value="${assetExtendedAttributeTypeInstance?.isActive}" ></g:checkBox>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="name">Name:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetExtendedAttributeTypeInstance,field:'name','errors')}">
-                                    <input type="text" id="name" name="name" value="${fieldValue(bean:assetExtendedAttributeTypeInstance,field:'name')}"/>
+                                <td valign="top" class="value ${hasErrors(bean:extendedAttributeTypeInstance,field:'isActive','errors')}">
+                                    <g:checkBox name="isActive" value="${extendedAttributeTypeInstance?.isActive}" ></g:checkBox>
                                 </td>
                             </tr> 