Index: trunk/grails-app/taglib/AssetTreeTagLib.groovy
===================================================================
--- trunk/grails-app/taglib/AssetTreeTagLib.groovy	(revision 279)
+++ trunk/grails-app/taglib/AssetTreeTagLib.groovy	(revision 282)
@@ -35,5 +35,5 @@
                         }
                         else
-                            img(src: dashImg(), class: 'emptynode')
+                            img(src: dashImg())
                         a( href: siteShowLink(site.id) ) {
                             yieldUnescaped( site.encodeAsHTML() )
@@ -54,5 +54,5 @@
                                         }
                                         else
-                                            img(src: dashImg(), class: 'emptynode')
+                                            img(src: dashImg())
                                         a( href: sectionShowLink(section.id) ) {
                                             yieldUnescaped( section.encodeAsHTML() )
@@ -74,5 +74,5 @@
                                                         }
                                                         else
-                                                            img(src: dashImg(), class: 'emptynode')
+                                                            img(src: dashImg())
                                                         a( href: assetShowLink(asset.id) ) {
                                                             yieldUnescaped( asset.encodeAsHTML() )
@@ -94,5 +94,5 @@
                                                                         }
                                                                         else
-                                                                            img(src: dashImg(), class: 'emptynode')
+                                                                            img(src: dashImg())
                                                                         a( href: assetSubItemShowLink(assetSubItemL1.id) ) {
                                                                             yieldUnescaped( assetSubItemL1.encodeAsHTML() )
@@ -114,5 +114,5 @@
                                                                                         }
                                                                                         else
-                                                                                            img(src: dashImg(), class: 'emptynode')
+                                                                                            img(src: dashImg())
                                                                                         a( href: assetSubItemShowLink(assetSubItemL2.id) ) {
                                                                                             yieldUnescaped( assetSubItemL2.encodeAsHTML() )
@@ -134,5 +134,5 @@
                                                                                                         }
                                                                                                         else
-                                                                                                            img(src: dashImg(), class: 'emptynode')
+                                                                                                            img(src: dashImg())
                                                                                                         a( href: assetSubItemShowLink(assetSubItemL3.id) ) {
                                                                                                             yieldUnescaped( assetSubItemL3.encodeAsHTML() )
@@ -154,5 +154,5 @@
 //                                                                                                                         }
 //                                                                                                                         else
-                                                                                                                            img(src: dashImg(), class: 'emptynode')
+                                                                                                                        img(src: dashImg())
                                                                                                                         a( href: assetSubItemShowLink(assetSubItemL4.id) ) {
                                                                                                                             yieldUnescaped( assetSubItemL4.encodeAsHTML() )