Index: trunk/grails-app/views/inventoryItemDetailed/show.gsp
===================================================================
--- trunk/grails-app/views/inventoryItemDetailed/show.gsp	(revision 605)
+++ trunk/grails-app/views/inventoryItemDetailed/show.gsp	(revision 610)
@@ -25,5 +25,10 @@
                             <li><g:message code="inventory.item.not.active" /><li>
                         </g:if>
-                    <ul>
+                    </ul>
+                </div>
+            </g:if>
+            <g:if test="${!inventoryItemInstance.enableReorder}" >
+                <div class="message">
+                    <g:message code="inventory.item.reorder.listing.disabled" />
                 </div>
             </g:if>
@@ -247,5 +252,5 @@
 
                                     <tr class="prop">
-                                        <td valign="top" class="name">Enable Reorder:</td>
+                                        <td valign="top" class="name">Enable Reorder Listing:</td>
                                         <td valign="top" class="value">${fieldValue(bean:inventoryItemInstance, field:'enableReorder')}</td>
                                     </tr>
@@ -433,8 +438,17 @@
 
                             <div class="buttons">
-                                <g:form controller="inventoryItemPurchaseDetailed">
-                                    <g:hiddenField name="inventoryItem.id" value="${inventoryItemInstance.id}" />
-                                    <span class="button"><g:actionSubmit action="create" class="add" value="Order" /></span>
-                                </g:form>
+                                <!--Fake button to prevent ordering disabled inventory items-->
+                                <g:if test="${inventoryItemInstance.isObsolete || !inventoryItemInstance.isActive}" >
+                                    <g:form controller="inventoryItemDetailed">
+                                        <g:hiddenField name="id" value="${inventoryItemInstance.id}" />
+                                        <span class="button"><g:actionSubmit action="show" class="add" value="${g.message(code:'inventory.item.reorder.not.allowed')}" /></span>
+                                    </g:form>
+                                </g:if>
+                                <g:else><!--Real order button.-->
+                                    <g:form controller="inventoryItemPurchaseDetailed">
+                                        <g:hiddenField name="inventoryItem.id" value="${inventoryItemInstance.id}" />
+                                        <span class="button"><g:actionSubmit action="create" class="add" value="Order" /></span>
+                                    </g:form>
+                                </g:else>
                             </div>
 
@@ -551,9 +565,21 @@
 
                             <div class="buttons">
-                                <g:form controller="inventoryItemPurchaseDetailed">
-                                    <g:hiddenField name="inventoryItem.id" value="${inventoryItemInstance.id}" />
-                                    Results: ${inventoryItemPurchases.size()} / ${inventoryItemPurchasesTotal}
-                                    <span class="button"><g:actionSubmit action="create" class="add" value="Order" /></span>
-                                </g:form>
+                                <!--Fake button to prevent ordering disabled inventory items-->
+                                <g:if test="${inventoryItemInstance.isObsolete || !inventoryItemInstance.isActive}" >
+                                    <g:form controller="inventoryItemDetailed">
+                                        <g:hiddenField name="id" value="${inventoryItemInstance.id}" />
+                                        Results: ${inventoryItemPurchases.size()} / ${inventoryItemPurchasesTotal}
+                                        <span class="button">
+                                            <g:actionSubmit action="show" class="add" value="${g.message(code:'inventory.item.reorder.not.allowed')}" />
+                                        </span>
+                                    </g:form>
+                                </g:if>
+                                <g:else><!--Real order button.-->
+                                    <g:form controller="inventoryItemPurchaseDetailed">
+                                        <g:hiddenField name="inventoryItem.id" value="${inventoryItemInstance.id}" />
+                                        Results: ${inventoryItemPurchases.size()} / ${inventoryItemPurchasesTotal}
+                                        <span class="button"><g:actionSubmit action="create" class="add" value="Order" /></span>
+                                    </g:form>
+                                </g:else>
                             </div>
 